/*

  Author(s): Ilja V. Ryndin <support@rusbitech.ru>

  Start date: *

*/

#ifndef FLYFMSERVICEADAPTOR_H
#define FLYFMSERVICEADAPTOR_H

#include <flyfm/core_export.h>

#include <QDBusAbstractAdaptor>

namespace FlyFM
{
class FLYFM_CORE_EXPORT ServiceAdaptor : public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "ru.rusbitech.FileManager.Service")

public:

    ServiceAdaptor(QObject *parent);
    virtual ~ServiceAdaptor();

public Q_SLOTS:

    void capture();
};
}

#endif // FLYFMSERVICEADAPTOR_H
